@echo off
cd "%~dp0"



:: Define variables
set "PLATFORMTOOLS_DIRECTORY=platform-tools\windows"



:: Check if platform-tools directory exists
if not exist "%PLATFORMTOOLS_DIRECTORY%" (
    echo Missing directory %PLATFORMTOOLS_DIRECTORY%!
    pause
    exit /b
)

:: Update the PATH
set "PATH=%PATH%;%PLATFORMTOOLS_DIRECTORY%"



:: Start the retry process
call :retry
exit /b



:retry
cls

call :kill_adb
call :start_adb

echo Waiting for device

adb devices | findstr /i "device$" >nul
if not errorlevel 1 (
    call :success
    exit /b
)

echo Please wait....
timeout /t 2 /nobreak >nul

cls
goto :retry



:success
echo Installing Apps...
for %%i in ("%~dp0apks\*.apk") do (
    adb install -t -r -d "%%i"
)

pause
exit /b



:start_adb
echo Starting ADB server...
adb start-server
exit /b



:kill_adb
tasklist | find "adb" >nul && (
    echo Killing ADB server...
    adb kill-server
    timeout /t 1 /nobreak >nul
)
exit /b
