@echo off
setlocal enabledelayedexpansion

:: Check if the script is running as administrator
>nul 2>&1 net session
if %errorlevel% neq 0 (
    echo Error: This script must be run as administrator.
    pause
    exit /b 1
)

:: Get the current working directory
set "ScriptDir=%~dp0"

:: Define the paths to the driver files
set "DriverFolder=%ScriptDir%windows\usb_driver"  rem Change this to the actual folder containing your driver files

:: Check if the driver files exist
if not exist "%DriverFolder%\android_winusb.inf" (
    echo Error: android_winusb.inf not found in the specified folder.
    pause
    exit /b 1
)

if not exist "%DriverFolder%\androidwinusb86.cat" (
    echo Error: androidwinusb86.cat not found in the specified folder.
    pause
    exit /b 1
)

if not exist "%DriverFolder%\androidwinusba64.cat" (
    echo Error: androidwinusba64.cat not found in the specified folder.
    pause
    exit /b 1
)

:: Install the driver
echo Installing Android USB driver...
pnputil.exe -i -a "%DriverFolder%\android_winusb.inf"

:: Check if the driver installation was successful
if %errorlevel% neq 0 (
    echo Error: Failed to install the Android USB driver.
    pause
    exit /b 1
)

echo Android USB driver installed successfully.

pause
exit /b 0